Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.parser
Class RefDesc

    java.lang.Object
      com.stc.hl7.parser.RefDesc

All Implemented Interfaces:
  java.lang.Cloneable

    public class RefDesc

extends java.lang.Object
implements java.lang.Cloneable

An object of this class represents the description of the reference node

Nested Class Summary
`static class` | `RefDesc.Type` Inner class describing source of data for this reference node

Constructor Summary
`RefDesc(java.lang.String name, boolean opt, boolean rep, boolean choice, java.lang.String min, java.lang.String max, byte source)` Creates the internal descriptor for a reference node.
`RefDesc(java.lang.String name, boolean opt, boolean rep, java.lang.String min, java.lang.String max, byte source)` Creates the internal descriptor for a reference node.

Method Summary
`java.lang.Object` | `clone()` Creates and returns a copy of this object.
`boolean` | `getChoice()` Gets the choice value of this reference node
`java.lang.String` | `getMax()` Gets the maximum value of this reference node
`java.lang.String` | `getMin()` Gets the minimum value of this reference node
`java.lang.String` | `getName()` Gets the name of this reference node
`int` | `getNodeKey()` Gets the key of this reference node
`byte` | `getNodeSource()` Gets the source of this reference node
`boolean` | `getOptional()` Gets the optional value of this reference node
`boolean` | `getRepeat()` Gets the repeat value of this reference node
`boolean` | `isOptional()` Checks the optional value of this reference node
`void` | `setChoice(boolean choice)` Sets the choice value of this reference node
`void` | `setMax(java.lang.String max)` Sets the maximum value of this reference node
`void` | `setMin(java.lang.String min)` Sets the minimum value of this reference node
`void` | `setName(java.lang.String name)` Sets the name of this reference node
`void` | `setNodeKey(int key)` Sets the key of this reference node
`void` | `setNodeSource(byte source)` Sets the source of this reference node
`void` | `setOptional(boolean optional)` Sets the optional value of this reference node
`void` | `setRepeat(boolean repeat)` Sets the repeat value of this reference node

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefDesc

    public RefDesc(java.lang.String name,
                   boolean opt,
                   boolean rep,
                   java.lang.String min,
                   java.lang.String max,
                   byte source)

  Creates the internal descriptor for a reference node. This will be used to generate the actual run-time FogOrder object

  Parameters:
    `name` - the node name, for tracing only
    `opt` - flag: node optional?
    `rep` - flag: node repeated?
    `min` - minimum repetitions for this node
    `max` - maximum repetitions for this node
    `source` - FogComposite Type

### RefDesc

    public RefDesc(java.lang.String name,
                   boolean opt,
                   boolean rep,
                   boolean choice,
                   java.lang.String min,
                   java.lang.String max,
                   byte source)

  Creates the internal descriptor for a reference node. This will be used to generate the actual run-time FogOrder object

  Parameters:
    `name` - the node name, for tracing only
    `opt` - flag: node optional?
    `rep` - flag: node repeated?
    `choice` - flag: node choice group?
    `min` - minimum repetitions for this node
    `max` - maximum repetitions for this node
    `source` - FogComposite Type

Method Detail

### clone

    public java.lang.Object clone()

  Creates and returns a copy of this object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Copy of this object

### setName

    public void setName(java.lang.String name)

  Sets the name of this reference node

  Parameters:
    `name` - node name

### getName

    public java.lang.String getName()

  Gets the name of this reference node

  Returns:
    node name

### setNodeKey

    public void setNodeKey(int key)

  Sets the key of this reference node

  Parameters:
    `key` - node key

### getNodeKey

    public int getNodeKey()

  Gets the key of this reference node

  Returns:
    node key

### setOptional

    public void setOptional(boolean optional)

  Sets the optional value of this reference node

  Parameters:
    `optional` - node optional value

### getOptional

    public boolean getOptional()

  Gets the optional value of this reference node

  Returns:
    node optional value

### isOptional

    public boolean isOptional()

  Checks the optional value of this reference node

  Returns:
    true if node optional value is optional, else else

### setRepeat

    public void setRepeat(boolean repeat)

  Sets the repeat value of this reference node

  Parameters:
    `repeat` - node repeat value

### getRepeat

    public boolean getRepeat()

  Gets the repeat value of this reference node

  Returns:
    node repeat value

### setChoice

    public void setChoice(boolean choice)

  Sets the choice value of this reference node

  Parameters:
    `choice` - node value

### getChoice

    public boolean getChoice()

  Gets the choice value of this reference node

  Returns:
    true if node choice value is true, else false

### setMin

    public void setMin(java.lang.String min)

  Sets the minimum value of this reference node

  Parameters:
    `min` - node minimum value

### getMin

    public java.lang.String getMin()

  Gets the minimum value of this reference node

  Returns:
    node minimum value

### setMax

    public void setMax(java.lang.String max)

  Sets the maximum value of this reference node

  Parameters:
    `max` - node maximum value

### getMax

    public java.lang.String getMax()

  Gets the maximum value of this reference node

  Returns:
    node maximum value

### setNodeSource

    public void setNodeSource(byte source)

  Sets the source of this reference node

  Parameters:
    `source` - Source type

### getNodeSource

    public byte getNodeSource()

  Gets the source of this reference node

  Returns:
    Source type

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD